/**
 * Задание 6.
 *
 * Написать программу-помощник преподавателя.
 *
 * Будем использовать американскую систему оценивания знаний.
 * Эта система работает на баллах и оценках в виде букв.
 * Расшифровывается следующим образом:
 *
 * Баллы  | Оценка |
 * 95-100 | A      |
 * 90-94  | A-     |
 * 85-89  | B+     |
 * 80-84  | B      |
 * 75-79  | B-     |
 * 70-74  | C+     |
 * 65-69  | C      |
 * 60-64  | C-     |
 * 55-59  | D+     |
 * 50-54  | D      |
 * 25-49  | E      |
 * 0-24   | F      |
 * -----------------
 *
 * Программа должна спрашивать имя и фамилию студента, а также количество баллов, которое на набрал.
 *
 * Программа должна повторно запрашивать данные, если были некорректно введены:
 * - Имя студента (строка, состоящая минимум из двух слов);
 * - Количество баллов, которое набрал студент (число от 0 до 100).
 *
 * Если все данные данные введены верно, программа конвертирует
 * числовое количество баллов в буквенную оценку и выводит сообщение в консоль:
 * «К студенту ИМЯ_СТУДЕНТА прикреплена оценка «ОЦЕНКА».».
 *
 * После выведения этого сообщения программа должна спросить,
 * есть-ли необходимость сконвертировать оценку для ещё одного студента,
 * и должна начинать свою работу сначала до тех пор, пока пользователь не ответит «Нет.».
 *
 * Когда пользователь откажется продолжать работу программы, программа выводит сообщение:
 * «✅ Работа завершена.».
 */

let fullname = null;
let mark = null;
let markLetter = null;
let oneMore = null;

do {
	do {
		fullname = prompt("Введите имя_фамилию")
	}
	while (fullname === null || fullname.split(' ').length < 2);

	do {
		mark = +prompt("Введите балы")
	} while (isNaN(mark) || mark < 0 || mark > 100);

	if (mark < 25) {
		markLetter = 'F';
	} else if (mark < 50) {
		markLetter = 'E';
	} else if (mark < 55) {
		markLetter = 'D';
	} else if (mark < 60) {
		markLetter = 'D+';
	} else if (mark < 65) {
		markLetter = 'C-';
	} else if (mark < 70) {
		markLetter = 'C';
	} else if (mark < 75) {
		markLetter = 'C+'
	} else if (mark < 80) {
		markLetter = 'B-'
	} else if (mark < 85) {
		markLetter = 'B'
	} else if (mark < 90) {
		markLetter = 'B+'
	} else if (mark < 95) {
		markLetter = 'A-'
	} else {
		markLetter = 'A'
	}


	console.log(`К студенту ${fullname} прикреплена оценка ${markLetter}`);
	oneMore = prompt('Есть-ли необходимость сконвертировать оценку для ещё одного студента?').toLowerCase();
} while (oneMore === 'да');

console.log('✅ Работа завершена.');


